package jp.co.yaskawa.rtc.integratedMotion.controller;


/**
* IntegratedMotionInterfaceOperations.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年9月7日 9時50分06秒 JST
*/

public interface IntegratedMotionInterfaceOperations 
{
  ReturnID abort ();
  ReturnID clearAlarms ();
  ReturnID closeGripper (RightLeft type);
  ReturnID getActiveAlarm (AlarmSeqHolder alarms);
  ReturnID getFeedbackPosCartesian (RightLeft type, FrameType frameType, CarPosWithElbowHolder pos);
  ReturnID getFeedbackPosJoint (UnitType type, DoubleSeqHolder position);
  ReturnID getGripperPos (RightLeft type, org.omg.CORBA.IntHolder angleRatio);
  ReturnID getState (org.omg.CORBA.IntHolder statusId, org.omg.CORBA.StringHolder message);
  ReturnID getVersion (org.omg.CORBA.StringHolder version);
  boolean isMoving ();
  boolean isServoOn ();
  ReturnID moveCPHoldAbs (RightLeft type, RedundantPos absPos, RedundantSpeed speed, RedundantAccel accel);
  ReturnID moveCPHoldRel (RightLeft type, RedundantPos relPos, RedundantSpeed speed, RedundantAccel accel);
  ReturnID moveGripper (RightLeft type, int angleRatio);
  ReturnID moveJogCPHold (RightLeft type, RedundantJogSpeed speed);
  ReturnID moveJogLinear (RightLeft type, CommandFrameType frameType, CartesianJogSpeed speed, boolean isHoldOtherArm);
  ReturnID moveLinearCartesianAbs (RightLeft type, double[][] absHgMat, CartesianSpeed speed, CartesianAccel accel, boolean isHoldOtherArm);
  ReturnID moveLinearCartesianRel (RightLeft type, CommandFrameType frameType, double[][] relHgMat, CartesianSpeed speed, CartesianAccel accel, boolean isHoldOtherArm);
  ReturnID moveLinearCartesianAbsWithRedundant (RightLeft type, double[][] absCpPos, CartesianSpeed speed, CartesianAccel accel, RedundantPos absRedPos, RedundantSpeed redSpeed, RedundantAccel redAccel, boolean isHoldOtherArm);
  ReturnID moveLinearCartesianRelWithRedundant (RightLeft type, double[][] relCpPos, CartesianSpeed speed, CartesianAccel accel, RedundantPos relRedPos, RedundantSpeed redSpeed, RedundantAccel redAccel, boolean isHoldOtherArm);
  ReturnID movePTPCartesianAbs (RightLeft type, double[][] absHgMat, double time, boolean isHoldOtherArm);
  ReturnID movePTPCartesianRel (RightLeft type, double[][] relHgMat, double time, boolean isHoldOtherArm);
  ReturnID moveUnitAbs (UnitType type, double[] absPos, double[] speed, double[] accel);
  ReturnID moveUnitRel (UnitType type, double[] relPos, double[] speed, double[] accel);
  ReturnID openGripper (RightLeft type);
  ReturnID pause ();
  ReturnID resetOriginalFrame ();
  ReturnID resume ();
  ReturnID selectRedundantAxes (RedundantAxesMask redundancy, RedundantLimit limit);
  ReturnID servoOff ();
  ReturnID servoOn ();
  ReturnID setControlPointOffset (RightLeft type, double[][] offset);
  ReturnID setJogTimeout (int time);
  ReturnID stop ();
} // interface IntegratedMotionInterfaceOperations
