/**

  COPYRIGHT (c) 2010 Yaskawa Electric Corporation.
  
  $Revision: $
  $Author:   $
  $Date:     $
  
  Description:
  モーションコマンドクラス
  
 */
package jp.co.yaskawa.rtc.integratedMotion.module.motion;

/**
 * @author motohisa
 *
 */
public class UnitCommand<T> {

	T command_; //!< モーションコマンド
	double [] params_; //!< モーションパラメータ double
	
	/*
	 * モーションコマンドのセット
	 * @param c モーションコマンドを示すenum値
	 */
	public void setCommand(T c) {
		command_ = c;
	}

	/*
	 * モーションパラメータのセット
	 * @param p モーションパラメータ
	 */
	public void setParams(double[] p) {
		params_ = p;
	}

	/*
	 * モーションコマンドの取得
	 * @return モーションコマンドを示すenum値
	 */
	public T getCommand() {
		return command_;
	}

	/*
	 * モーションパラメータの取得
	 * @return モーションパラメータ
	 */
	public double[] getParams() {
		return params_;
	}

	
}
