/**

  COPYRIGHT (c) 2010 Yaskawa Electric Corporation.
  
  $Revision: $
  $Author:   $
  $Date:     $
  
  Description:
  Off状態クラス
  
 */
package jp.co.yaskawa.rtc.integratedMotion.module.state;

/**
 * @author motohisa
 *
 */
public class Off<T> implements RTEmuUnitState<T> {

	StateObjectHolder<T> holder_;
	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#abort(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext)
	 */
	public boolean abort(RTEmuContext<T> c) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#causeAlarm(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext)
	 */
	public boolean causeAlarm(RTEmuContext<T> c) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#clearAlarm(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext)
	 */
	public boolean clearAlarm(RTEmuContext<T> c) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#doSegment(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext)
	 */
	public void doSegment(RTEmuContext<T> c) {
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#pause(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext)
	 */
	public boolean pause(RTEmuContext<T> c) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#resume(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext)
	 */
	public boolean resume(RTEmuContext<T> c) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#setAmpPower(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext, boolean)
	 */
	public boolean setAmpPower(RTEmuContext<T> c, boolean b) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#setPower(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext, boolean)
	 */
	public boolean setPower(RTEmuContext<T> c, boolean b) {
		if(b) {
			c.changeState(holder_.getUnPoweredStateObject());
		}
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#setServo(jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuContext, boolean)
	 */
	public boolean setServo(RTEmuContext<T> c, boolean b) {
		return true;
	}

	/* (non-Javadoc)
	 * @see jp.co.yaskawa.rtc.integratedMotion.module.state.RTEmuUnitState#setStateObjectHolder(jp.co.yaskawa.rtc.integratedMotion.module.state.StateObjectHolder)
	 */
	public void setStateObjectHolder(StateObjectHolder<T> holder) {
		holder_ = holder;

	}

	public String getStateString() {
		return "Off";
	}

}
